## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global uuid extension-list@tu.berry
%global giturl https://github.com/tuberry/extension-list
%global commit 4f332577a91d3d1e775bc556d01afe5561590052
%global commit_short %%(c=%%{commit}; echo ${c:0:7})
%global commit_date 20241114

Name: gnome-shell-extension-list
Version: 47
#Release: %%autorelease
Release: 3.%{commit_date}git%{commit_short}%{?dist}
Summary: Simple GNOME Shell extension manager in the top panel
BuildArch: noarch

License: GPL-3.0-or-later
URL: https://github.com/tuberry/extension-list
%if 0%{?commit:1}
Source0: %{giturl}/archive/%{commit}.tar.gz#/%{name}-%{commit_short}.tar.gz
%else
Source0: %{giturl}/archive/extensions.gnome.org-v%{version}.tar.gz#/%{name}-%{version}.tar.gz
%endif

BuildRequires: gettext
BuildRequires: glib2
BuildRequires: jq
BuildRequires: meson
BuildRequires: sassc

Requires: gnome-shell >= 3.14.0

%description
This extension integrates a Simple GNOME Shell extension manager
in the top panel

You can use gnome-tweaks (additional package) or run in terminal:

  $ gnome-extensions enable %uuid


%prep
%autosetup -p1 -n extension-list-%{commit}


%build
%meson \
    -Dtarget=system  \
    -Dversion=%{version}
%meson_build


%install
%meson_install
%find_lang gnome-shell-extension-extension-list


%files -f gnome-shell-extension-extension-list.lang
%license LICENSE.md
%doc README.md
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_datadir}/glib-2.0/schemas/*.gschema.xml


%changelog
* Thu Nov 14 2024 Martin Gansser <martinkg@fedoraproject.org> - 47-3.20241114git4f33257
- Update to 47-3.20241114git4f33257 

* Sat Nov 02 2024 Martin Gansser <martinkg@fedoraproject.org> - 47-2.20241102git533f837
- Add German translation

* Fri Nov 01 2024 Martin Gansser <martinkg@fedoraproject.org> - 47-1.20241013git533f837
- Initial package

